package yb_pc_suncode

import "time"

// YbPcSuncode 活动海报表
type YbPcSuncode struct {
	SuncodeID  uint32    `gorm:"primaryKey;index:idx_suncode_id;column:suncode_id;type:int(11) unsigned;not null" json:"-"`
	Scene      string    `gorm:"column:scene;type:varchar(255);not null;default:0" json:"scene"` // 微信scene
	SceneMd5   string    `gorm:"column:scene_md5;type:varchar(255);not null" json:"sceneMd5"`
	CodePage   string    `gorm:"column:code_page;type:varchar(255);not null;default:''" json:"codePage"`     // 路径
	SuncodeURL string    `gorm:"column:suncode_url;type:varchar(255);not null;default:''" json:"suncodeUrl"` // 太阳码储存地址
	CreateTime time.Time `gorm:"column:create_time;type:timestamp;default:CURRENT_TIMESTAMP" json:"createTime"`
}

// TableName get sql table name.获取数据库表名
func (m *YbPcSuncode) TableName() string {
	return "yb_pc_suncode"
}

// YbPcSuncodeColumns get sql column name.获取数据库列名
var YbPcSuncodeColumns = struct {
	SuncodeID  string
	Scene      string
	SceneMd5   string
	CodePage   string
	SuncodeURL string
	CreateTime string
}{
	SuncodeID:  "suncode_id",
	Scene:      "scene",
	SceneMd5:   "scene_md5",
	CodePage:   "code_page",
	SuncodeURL: "suncode_url",
	CreateTime: "create_time",
}